# boost::numeric::ublas::matrix_vector_binary1< E1, E2, F >::const_iterator Class Reference

List of all members.

## Public Types

typedef iterator_restrict_traits < typename E1::const_iterator1::iterator_category, typename E2::const_iterator::iterator_category > ::iterator_category | iterator_category
typedef matrix_vector_binary1::difference_type | difference_type
typedef matrix_vector_binary1::value_type | value_type
typedef matrix_vector_binary1::const_reference | reference
typedef matrix_vector_binary1::const_pointer | pointer

## Public Member Functions

BOOST_UBLAS_INLINE | const_iterator (const self_type &mvb, const const_subiterator1_type &it1)
BOOST_UBLAS_INLINE const_iterator & | operator++ ()
BOOST_UBLAS_INLINE const_iterator & | operator-- ()
BOOST_UBLAS_INLINE const_iterator & | operator+= (difference_type n)
BOOST_UBLAS_INLINE const_iterator & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const const_iterator &it) const
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE const_iterator & | operator= (const const_iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator &it) const
BOOST_UBLAS_INLINE bool | operator< (const const_iterator &it) const

### template<class E1, class E2, class F>
class boost::numeric::ublas::matrix_vector_binary1< E1, E2, F >::const_iterator